prelude.c File Reference
`#include "ruby/ruby.h"`
`#include "internal.h"`
`#include "vm_core.h"`

Go to the source code of this file.

## Macros

#define | PRELUDE_COUNT 0

## Functions

static void | prelude_eval (VALUE code, VALUE name, VALUE line)
void | Init_prelude (void)

## Variables

static const char | prelude_name0 [] = "<internal:prelude>"
static const char | prelude_code0 []
static const char | prelude_name1 [] = "<internal:enc/prelude>"
static const char | prelude_code1 []
static const char | prelude_name2 [] = "<internal:gem_prelude>"
static const char | prelude_code2 []

## Macro Definition Documentation

#define PRELUDE_COUNT 0

Definition at line 61 of file prelude.c.

## Function Documentation

void Init_prelude | ( | void |  | ) |

Definition at line 71 of file prelude.c.

References INT2FIX, prelude_code0, prelude_code1, prelude_code2, prelude_eval(), prelude_name0, prelude_name1, prelude_name2, and rb_usascii_str_new().

Referenced by ruby_init_prelude().

static void prelude_eval | ( | VALUE | code,
|  | VALUE | name,
|  | VALUE | line
| ) |  |

static

Definition at line 65 of file prelude.c.

References Qnil, Qtrue, rb_iseq_compile_with_option(), and rb_iseq_eval().

Referenced by Init_prelude().

## Variable Documentation

const char prelude_code0[]

static

Definition at line 12 of file prelude.c.

Referenced by Init_prelude().

const char prelude_code1[]

static

Initial value:
=
"%w'enc/encdb.so enc/trans/transdb.so'.each do |init|\n"
" begin\n"
" require(init)\n"
" rescue LoadError\n"
" end\n"
"end\n"

Definition at line 47 of file prelude.c.

Referenced by Init_prelude().

const char prelude_code2[]

static

Initial value:
=
"require 'rubygems.rb' if defined?(Gem)\n"

Definition at line 57 of file prelude.c.

Referenced by Init_prelude().

const char prelude_name0[] = "<internal:prelude>"

static

Definition at line 11 of file prelude.c.

Referenced by Init_prelude().

const char prelude_name1[] = "<internal:enc/prelude>"

static

Definition at line 46 of file prelude.c.

Referenced by Init_prelude().

const char prelude_name2[] = "<internal:gem_prelude>"

static

Definition at line 56 of file prelude.c.

Referenced by Init_prelude().